/*
 *				**** FKEYS.H ****
 *
 * This file contains the definition of various special keys
 * It was created with the SCANCODE program by Bill Pringle
 *
 * The code for special keys are the original scancode shifted
 * to the most significant byte.  For further info, see the
 * scancode program.
 */

#define NOKEY	-1

#define F1 0x3b00
#define F2 0x3c00
#define F3 0x3d00
#define F4 0x3e00
#define F5 0x3f00
#define F6 0x4000
#define F7 0x4100
#define F8 0x4200
#define F9 0x4300
#define F10 0x4400
#define SHIFT_F1 0x5400
#define SHIFT_F2 0x5500
#define SHIFT_F3 0x5600
#define SHIFT_F4 0x5700
#define SHIFT_F5 0x5800
#define SHIFT_F6 0x5900
#define SHIFT_F7 0x5a00
#define SHIFT_F8 0x5b00
#define SHIFT_F9 0x5c00
#define SHIFT_F10 0x5d00
#define ALT_F1 0x6800
#define ALT_F2 0x6900
#define ALT_F3 0x6a00
#define ALT_F4 0x6b00
#define ALT_F5 0x6c00
#define ALT_F6 0x6d00
#define ALT_F7 0x6e00
#define ALT_F8 0x6f00
#define ALT_F9 0x7000
#define ALT_F10 0x7100
#define CTL_F1 0x5e00
#define CTL_F2 0x5f00
#define CTL_F3 0x6000
#define CTL_F4 0x6100
#define CTL_F5 0x6200
#define CTL_F6 0x6300
#define CTL_F7 0x6400
#define CTL_F8 0x6500
#define CTL_F9 0x6600
#define CTL_F10 0x6700
#define HOME 0x4700
#define PGUP 0x4900
#define END 0x4f00
#define PGDN 0x5100
#define UP 0x4800
#define RIGHT 0x4d00
#define DOWN 0x5000
#define LEFT 0x4b00
#define INS 0x5200
#define DEL 0x5300
#define CTL_LEFT 0x7300
#define CTL_RIGHT 0x7400
#define CTL_HOME 0x7700
#define CTL_PGUP 0x8400
#define CTL_END 0x7500
#define CTL_PGDN 0x7600
#define ESC 0x001b
#define ENTER 0x000d
#define BS 0x0008
#define TAB 0x0009
#define SHIFT_TAB 0x0f00
#define CTL_ENTER 0x000a
